Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224175 - rebuild error on a rawhide system
Summary: rebuild error on a rawhide system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhdb-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 14:40 UTC by Karsten Hopp
Modified: 2013-07-03 03:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 22:39:17 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2007-01-24 14:40:33 UTC
Description of problem:
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -Wall -Wmissing-prototypes -Wmissing-declarations
-I/usr/include/pgsql/server pg_filedump.c -c
In file included from pg_filedump.c:28:
pg_filedump.h:37:26: error: access/rtree.h: No such file or directory
pg_filedump.c: In function 'FormatControl':
pg_filedump.c:1030: error: 'DB_IN_RECOVERY' undeclared (first use in this function)
pg_filedump.c:1030: error: (Each undeclared identifier is reported only once
pg_filedump.c:1030: error: for each function it appears in.)
make: *** [pg_filedump.o] Error 1

Version-Release number of selected component (if applicable):
rhdb-utils-8.1.1-1.2.2

Comment 1 Tom Lane 2007-01-24 15:43:04 UTC
Yeah, I need to update pg_filedump for Postgres 8.2.  It's on the to-do list...

Comment 2 Tom Lane 2007-02-14 22:39:17 UTC
Fixed in rhdb-utils-8.2.0-1.fc7.


Note You need to log in before you can comment on or make changes to this bug.